summaryrefslogtreecommitdiffstats
path: root/remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt
diff options
context:
space:
mode:
authorSimon Rettberg2016-01-07 16:19:27 +0100
committerSimon Rettberg2016-01-07 16:19:27 +0100
commit3467aef515acaac01760c3e92cc3db09dc474d96 (patch)
tree7085c113d6c35079d804728e0399f83846275d97 /remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt
parent[beamergui,udhcpc] Don't create pointless files in /tmp (diff)
downloadtm-scripts-3467aef515acaac01760c3e92cc3db09dc474d96.tar.gz
tm-scripts-3467aef515acaac01760c3e92cc3db09dc474d96.tar.xz
tm-scripts-3467aef515acaac01760c3e92cc3db09dc474d96.zip
[run-virt,vmware,vbox] Unify directory layout in /tmp, better cleanup
Diffstat (limited to 'remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt')
-rwxr-xr-xremote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt2
1 files changed, 1 insertions, 1 deletions
diff --git a/remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt b/remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt
index 7d83844e..8e1bbd0d 100755
--- a/remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt
+++ b/remote/modules/run-virt/data/opt/openslx/scripts/vmchooser-run_virt
@@ -23,7 +23,7 @@ RUNVIRTINCLUDEDIR=/opt/openslx/scripts/includes
xmlfile="$1"
# Functions needed by vmchooser-run_virt (writelog(), cleanexit(), rv_clean_string())
-source ${RUNVIRTINCLUDEDIR}/vmchooser_runvirt_functions.inc && trap cleanexit SIGINT SIGTERM
+source ${RUNVIRTINCLUDEDIR}/vmchooser_runvirt_functions.inc && trap 'trap "" SIGINT SIGTERM; cleanexit' SIGINT SIGTERM
# Define default dirs / get configs
source ${RUNVIRTINCLUDEDIR}/set_runvirt_variables.inc
# Function to detect whether we can use the new way (vmx via http) or the old way (legacy):